diff --git a/books/bookvol10.4.pamphlet b/books/bookvol10.4.pamphlet
index 8a853d2..15e50c8 100644
--- a/books/bookvol10.4.pamphlet
+++ b/books/bookvol10.4.pamphlet
@@ -7114,11 +7114,11 @@ CommonDenominator(R, Q, A): Exports == Implementation where
   Implementation ==> add
     clearDenominator l ==
       d := commonDenominator l
-      map(numer(d * #1)::Q, l)
+      map(x+->numer(d*x)::Q, l)
  
     splitDenominator l ==
       d := commonDenominator l
-      [map(numer(d * #1)::Q, l), d]
+      [map(x+->numer(d*x)::Q, l), d]
  
     if R has GcdDomain then
       qlcm: (Q, Q) -> Q
diff --git a/changelog b/changelog
index a177994..cb2bf8a 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,5 @@
+20090512 tpd src/axiom-website/patches.html 20090512.08.tpd.patch
+20090512 tpd books/bookvol10.4 CDEN +-> conversion
 20090512 tpd src/axiom-website/patches.html 20090512.07.tpd.patch
 20090512 tpd books/bookvol10.3 INT +-> conversion
 20090512 tpd src/axiom-website/patches.html 20090512.06.tpd.patch
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index 2c60130..20dd613 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -1266,5 +1266,7 @@ bookvol10.4 IBACHIN +-> conversion<br/>
 bookvol10.3 ISUPS +-> conversion<br/>
 <a href="patches/20090512.07.tpd.patch">20090512.07.tpd.patch</a>
 bookvol10.3 INT +-> conversion<br/>
+<a href="patches/20090512.08.tpd.patch">20090512.08.tpd.patch</a>
+bookvol10.4 CDEN +-> conversion<br/>
  </body>
 </html>
